import type { VerifiablePresentation, VerifiableCredential } from '@credo-ts/core';
import type { W3CVerifiableCredential as SphereonW3cVerifiableCredential, W3CVerifiablePresentation as SphereonW3cVerifiablePresentation, CompactSdJwtVc as SphereonCompactSdJwtVc, WrappedVerifiablePresentation } from '@sphereon/ssi-types';
import { MdocVerifiablePresentation } from '@sphereon/did-auth-siop';
export declare function getSphereonVerifiableCredential(verifiableCredential: VerifiableCredential): SphereonW3cVerifiableCredential | SphereonCompactSdJwtVc;
export declare function getSphereonVerifiablePresentation(verifiablePresentation: VerifiablePresentation | MdocVerifiablePresentation): SphereonW3cVerifiablePresentation | SphereonCompactSdJwtVc;
export declare function getVerifiablePresentationFromSphereonWrapped(wrappedVerifiablePresentation: WrappedVerifiablePresentation | MdocVerifiablePresentation): VerifiablePresentation | MdocVerifiablePresentation;
